﻿<Graph ClassName="APInvoiceEntryOtherBP" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using System.Linq;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using PX.Common;
using PX.Data;
using PX.Objects.Common;
using PX.Objects.Common.Extensions;
using PX.Objects.GL;
using PX.Objects.CM;
using PX.Objects.CS;
using PX.Objects.CR;
using PX.Objects.CT;
using PX.Objects.PM;
using PX.Objects.TX;
using PX.Objects.IN;
using PX.Objects.CA;
using PX.Objects.BQLConstants;
using PX.Objects.EP;
using PX.Objects.PO;
using PX.Objects.SO;
using PX.Objects.DR;
using PX.Objects.AR;
using Avalara.AvaTax.Adapter;
using Avalara.AvaTax.Adapter.TaxService;
using AP1099Hist = PX.Objects.AP.Overrides.APDocumentRelease.AP1099Hist;
using AP1099Yr = PX.Objects.AP.Overrides.APDocumentRelease.AP1099Yr;
using PX.Objects.GL.Reclassification.UI;
using AvaAddress = Avalara.AvaTax.Adapter.AddressService;
using AvaMessage = Avalara.AvaTax.Adapter.Message;
using Branch = PX.Objects.GL.Branch;
using CRLocation = PX.Objects.CR.Standalone.Location;
using PX.Objects.AP.BQL;
using PX.Objects;
using PX.Objects.AP;

namespace PX.Objects.AP
{
  public class APInvoiceEntryOtherBP : PXGraphExtension<APInvoiceEntry>
  {
  
    #region Event Handlers
      
    //Add Other Vendor Button
    public PXAction<PX.Objects.AP.APInvoice> AddOtherVendor;  
    [PXButton(CommitChanges = true)]
    [PXUIField(DisplayName = "Add Other Vendor")]
    protected void addOtherVendor()
    {
         OtherBP.OtherBP graph = PXGraph.CreateInstance<OtherBP.OtherBP>();
         throw new PXPopupRedirectException(graph, "Add Other Vendor", true);
    }
      
     
    /************************** BIR REPORTS ****************************/
    protected void APInvoice_RowSelected(PXCache cache, PXRowSelectedEventArgs e)
    {
      
      var row = (APInvoice)e.Row;
     
      if(row == null)
        return;

      //this.ShowURL.SetEnabled(true);
      //this.Bills.SetEnabled(true);
      //this.Notes.SetEnabled(true);
      //this.PrintBIR2307.SetEnabled(true);
      
    }
  
  //Accounts Payable Forms
   public override void Initialize()
   {
      //Base.report.AddMenuAction(ShowURL);
      //Base.report.AddMenuAction(Bills);
      //Base.report.AddMenuAction(Notes);
      //Base.report.AddMenuAction(PrintBIR2307);
   }
   /*
   public PXAction<APInvoice> ShowURL;
   [PXUIField(DisplayName = "Print Accounts Payable Voucher")]
   [PXButton]
   protected virtual void showURL()
   {
        Dictionary<string, string> voucher = new Dictionary<string, string>();
        APInvoice doc = Base.Document.Current;

        voucher["DocType"] = doc.DocType;
        voucher["RefNbr"] = doc.RefNbr;
        
        throw new PXReportRequiredException(voucher, "AP645000", null);
   }
      
      
  //Billing Invoice Form
   public PXAction<APInvoice> Bills;
   [PXUIField(DisplayName = "Print Billing Invoice")]
   [PXButton]
   protected virtual void bills()
   {
        Dictionary<string, string> bill = new Dictionary<string, string>();
        APInvoice doc = Base.Document.Current;

        bill["DocType"] = doc.DocType;
        bill["RefNbr"] = doc.RefNbr;
        
        throw new PXReportRequiredException(bill, "AP602000", null);
   }
     
  //AP609000    
   public PXAction<APInvoice> Notes;
   [PXUIField(DisplayName = "Print AP Debit Note/Credit Note")]
   [PXButton]
   protected virtual void notes()
   {
        Dictionary<string, string> note = new Dictionary<string, string>();
        APInvoice doc = Base.Document.Current;

        note["DocType"] = doc.DocType;
        note["RefNbr"] = doc.RefNbr;
        
        throw new PXReportRequiredException(note, "AP609000", null);
   }
   
        //BIR23071 
        public PXAction<APInvoice> PrintBIR2307;
        [PXUIField(DisplayName = "Print BIR 2307 by Document")]
        [PXButton]
        protected virtual void printBIR2307()
        {
            APInvoice invoice = Base.Document.Current;
            //APTran tran = Base.Transactions.Current;
            PXReportRequiredException ex = null;

            foreach (APTran trans in Base.Transactions.Select())
            {
                APTranExt aptranExt = PXCache<APTran>.GetExtension<APTranExt>(trans);
                if (aptranExt.Usrprint2307 == true)
                {
                    Dictionary<string, string> down = new Dictionary<string, string>();
                    down["DocType"] = invoice.DocType;
                    down["RefNbr"] = invoice.RefNbr;
                    down["OtherVP"] = aptranExt.UsrOtherBPCode;
                    ex = PXReportRequiredException.CombineReport(ex, "BIR23071", down, false);
                }
            }

            if (ex != null)
            {
                ex.Mode = PXBaseRedirectException.WindowMode.New;
                ex.SeparateWindows = false;
                throw ex;
            }

        }*/
              
        #endregion
    }
}]]></CDATA>
</Graph>